LFR-FSW - Bug #796

Analyse Logiscope LFR_3.1.0.4 : rule Don_lInitialisation_P1 Severity is High
18/10/2016 05:26 PM - William Recart

Status: Closed Start date: 18/10/2016
Priority: Low Due date:

Assignee: paul leroy % Done: 0%
Category: R3+ Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :
Don_Initialisation_P1:
Definition:

Global variables must be initialized when they are defined.

Justification:

Not all compilers give the same default values. Unexpected behaviour can be
avoided with better control over variable values. Initializing global variables
when they are declared ensures that they are initialized before being used.

La regle n'est pas respectée dans 120 cas d'aprés Logiscope:

Fichier avf0_prc0.c : lignes 13, 17, 18, 20, 21, 23, 24, 25, 27, 28, 29, 31, 32

Fichier avf1_prci.c : lignes 12, 18, 19, 21, 22, 24, 25, 26, 28, 29, 30, 32, 33

Fichier avf2_prc2.c : lignes 12, 18, 20, 21, 23, 24, 26, 27, 29

Fichier fsw_globals.c : lignes 26, 27, 28, 29, 30, 33, 34, 43, 44, 45, 46, 52, 53, 54, 63, 64, 65, 68, 69, 71, 72, 73, 74, 75, 77, 78, 79,
80, 81, 82, 85, 86, 87, 88, 89, 90, 91, 92, 95, 97

Fichier fsw_misc.h : lignes 29, 30

Fichier fsw_processing.c : lignes 14, 15, 16, 17, 28, 29, 30, 31, 32, 33, 34, 35, 36

Fichier fsw_processing.h : ligne 105

Fichier fsw_spacewire.c : lignes 16, 17, 21, 22, 23

Fichier tc_acceptance.c : ligne 13

Fichier tc_load_dump_parameters.c : lignes 17, 18, 19, 20

Fichier wf_handler.c : lignes 15, 16, 17, 19, 20, 21, 22, 24, 25, 26, 27, 29, 30, 31, 32, 41, 42, 43, 44

History

#1 - 19/10/2016 02:19 PM - William Recart

- Subject changed from Analyse Logiscope LFR_3.1.0.4 : rule Don_Initialisation _P1 to Analyse Logiscope LFR_3.1.0.4 : rule Don_Initialisation_P1
Severity is High

#2 - 12/01/2017 02:09 PM - paul leroy

Corrections effectuées hormis une ligne.
Fichier avf0_prc0.c

Fichier avf1_prc1.c

Fichier avf2_prc2.c

Fichier fsw_globals.c

Fichier fsw_misc.h
Fichier fsw_processing.c

Fichier fsw_processing.h : ligne 105 => faux positifs?
Fichier fsw_spacewire.c
Fichier tc_acceptance.c

Fichier tc_load_dump_parameters.c

Fichier wf_handler.c

#3 - 12/01/2017 02:35 PM - paul leroy
- Status changed from New to In Progress

- Priority changed from Normal to Low

#4 - 13/01/2017 03:05 PM - William Recart

Vérification effectuée sur le tag 322 (c0603702c¢8c8) , il reste en erreur :
fsw_globals.c : ligne 88
check.pngOK, c'est corrigé

fsw_processing.h: ligne 109 => faux positif, le type "ring_node" n'et pas reconnu par Logiscope.
Tout le reste est clos sur la version tag 322 (c0603702c8c8)

#5 - 24/04/2017 11:46 AM - William Recart

- Status changed from In Progress to Closed

Satus on FSW V3.2.0.15 : two wrong positives raised by Logiscope :
- fsw_globals.c : line 91 : rw_f is an extern variable, see file fsw_init.h (line 26)
- fsw_processing.h : line 118 : type ring_node not recognize by logiscope.

#6 - 03/10/2018 06:27 PM - William Recart

Satus on FSW V3.2.0.21: two wrong positives raised by Logiscope :
- fsw_globals.c : line 114: rw_f is an extern variable, see file fsw_init.h (line 26)
- fsw_processing.h : line 109: type ring_node not recognize by logiscope.
